var SimpleAssistant = function() {};


mensen = [{title: "Hauptmensa", url: "http://www.studentenwerk-hannover.de/menues.php?wo=2&wann=2&textausgabe=1", short: "HM"},
          {title: "Markststand", url: "http://www.studentenwerk-hannover.de/menues.php?wo=9&wann=2&textausgabe=1", short: "MS"},
          {title: "Contine", url: "http://www.studentenwerk-hannover.de/menues.php?wo=3&wann=2&textausgabe=1", short: "Con"},
          {title: "Mensa PZH", url: "http://www.studentenwerk-hannover.de/menues.php?wo=13&wann=2&textausgabe=1", short: "PZH"},
          {title: "Mensa Caballus", url: "http://www.studentenwerk-hannover.de/menues.php?wo=1&wann=2&textausgabe=1", short: "Cab"},
          {title: "Mensa TiHo Tower", url: "http://www.studentenwerk-hannover.de/menues.php?wo=0&wann=2&textausgabe=1", short: "TiHo"},
          {title: "Mensa HMTMH", url: "http://www.studentenwerk-hannover.de/menues.php?wo=8&wann=2&textausgabe=1", short: "HMTM"},
          {title: "Mensa FHH", url: "http://www.studentenwerk-hannover.de/menues.php?wo=5&wann=2&textausgabe=1", short: "FH"},
          {title: "Mensa Kurt-Schwitters-Forum", url: "http://www.studentenwerk-hannover.de/menues.php?wo=7&wann=2&textausgabe=1", short: "KSF"},
          {title: "Mensa Blumhardtstraße", url: "http://www.studentenwerk-hannover.de/menues.php?wo=14&wann=2&textausgabe=1", short: "Blu"},
          {title: "Cafeteria Sprengelstube", url: "http://www.studentenwerk-hannover.de/menues.php?wo=15&wann=2&textausgabe=1", short: "CS"},
          {title: "Cafeteria Herrenhausen", url: "http://www.studentenwerk-hannover.de/menues.php?wo=12&wann=2&textausgabe=1", short: "CH"}];

var mainMenu;
var marketMenu;

var db;

foundMenusMon = [];
foundMenusTue = [];
foundMenusWed = [];
foundMenusThu = [];
foundMenusFri = [];

var listModelMon = {listTitle:$L('Speiseplan - Montag'), items:foundMenusMon};
var listModelTue = {listTitle:$L('Speiseplan - Dienstag'), items:foundMenusTue};
var listModelWed = {listTitle:$L('Speiseplan - Mittwoch'), items:foundMenusWed};
var listModelThu = {listTitle:$L('Speiseplan - Donnerstag'), items:foundMenusThu};
var listModelFri = {listTitle:$L('Speiseplan - Freitag'), items:foundMenusFri};

var currentMensa;

SimpleAssistant.prototype = {
    setup: function() {
    	this.controller.setupWidget("scrollerId", {
                   mode: 'horizontal-snap',
               }, this.model = {
                   snapElements: { x: $$('.scrollerItem') },
                   snapIndex: 0,
               }
        );
        
        currentMensa = "Hauptmensa";
        
        this.controller.setupWidget(Mojo.Menu.appMenu, 
        		this.menuAttribute = {
        			omitDefaultItems: true
        		}, 
        		this.menuModel = {
        			visible: true,
        			items: [
        				{
        					label: "Einstellungen",
        					command: 'do-prefs'
        				},
        				{
        					label: "Hilfe",
        					command: 'do-help'
        				}
        			]
        		}
        );
        
        this.controller.setupWidget(Mojo.Menu.commandMenu, {}, {
            visible: true,
            items: [{}, {}, {
            	toggleCmd: 'do-main',
                items: [{
                    command: 'do-main',
                    label: "HM"
                }, {
                    command: 'do-market',
                    label: "MS"
                }]
            }]
        });
               
        this.controller.setupWidget("spinnerId", {}, {spinning: true});
        
        db = new Mojo.Depot({ name: 'mensaplanHannoverDB' }, 
        	function() {Mojo.Log.info('create success');},
      		function() {Mojo.Log.error('create fail');});

		this.controller.setupWidget("menuListMon", this.attributes = {
			itemTemplate: 'simple/static-list-entry',
			listTemplate: 'simple/static-list-container',
			emptyTemplate: 'simple/emptylist',
		}, listModelMon);
		this.controller.setupWidget("menuListTue", this.attributes = {
			itemTemplate: 'simple/static-list-entry',
			listTemplate: 'simple/static-list-container',
			emptyTemplate: 'simple/emptylist'
		}, listModelTue);
		this.controller.setupWidget("menuListWed", this.attributes = {
			itemTemplate: 'simple/static-list-entry',
			listTemplate: 'simple/static-list-container',
			emptyTemplate: 'simple/emptylist'
		}, listModelWed);
		this.controller.setupWidget("menuListThu", this.attributes = {
			itemTemplate: 'simple/static-list-entry',
			listTemplate: 'simple/static-list-container',
			emptyTemplate: 'simple/emptylist'
		}, listModelThu);
		this.controller.setupWidget("menuListFri", this.attributes = {
			itemTemplate: 'simple/static-list-entry',
			listTemplate: 'simple/static-list-container',
			emptyTemplate: 'simple/emptylist'
		}, listModelFri);

	    this.controller.listen("scrollerId", Mojo.Event.scrollStarting, this.handleUpdate.bindAsEventListener(this));
	    
	    db.get('Preferences', this.dbGetPreferencesOK.bind(this), this.dbGetPreferencesFail.bind(this));
	    
//	    db.get('mainMenu', this.dbMainOK.bind(this), function() { Mojo.Log.error('failed to read main menu from db'); });
//	    db.get('marketMenu', this.dbMarketOK.bind(this), function() { Mojo.Log.error('failed to read market menu from db'); });
//		
//		var request = new Ajax.Request(mensen[0].url, {
//			method: 'get',
//			evalJSON: 'false',
//			onSuccess: this.menuMainSuccess.bind(this),
//			onFailure: this.requestFailure.bind(this)
//		});
//
//	    var request = new Ajax.Request(mensen[1].url, {
//	        method: 'get',
//	        evalJSON: 'false',
//	        onSuccess: this.menuMarketSuccess.bind(this),
//	        onFailure: this.requestFailure.bind(this)
//	    });
		

    },
    
    handleMoved: function(done, position) {
        if (done) Mojo.Log.info("Done: ", done, "Position: ", Object.toJSON(position));
    },

    handleUpdate: function(event) {
        event.addListener({                                                    
                moved: this.handleMoved                         
        });
    },
    
    activate: function(event) {},
    deactivate: function(event) {},
    cleanup: function(event) {}
}

SimpleAssistant.prototype.dbGetPreferencesOK = function(prefs) {
	if (prefs == null || prefs == "") {
		prefs = { showAll: true, favorites: [] };
		db.add('Preferences', prefs, 
				function() {Mojo.Log.info('dbGetPreferencesOK: stored Preferences');},
		    	function() {Mojo.Log.error('dbGetPreferencesOK: Storing Preferences failed');});
	} else {
		
	}
}

SimpleAssistant.prototype.dbGetPreferencesFail = function() {
	prefs = { showAll: true, favorites: [] };
	db.add('Preferences', prefs, 
			function() {Mojo.Log.info('dbGetPreferencesOK: stored Preferences');},
	    	function() {Mojo.Log.error('dbGetPreferencesOK: Storing Preferences failed');});
}

SimpleAssistant.prototype.handleCommand = function(event) {
 
    switch(event.type) {
        case Mojo.Event.command:
            switch (event.command) {
            	case 'do-prefs':
            		this.controller.stageController.pushScene('preferences');
            		break;
            	
            	case 'do-help':
            		model = { 
            				title: "Mensaplan Hannover - v" + Mojo.Controller.appInfo.version,
            				allowHTMLMessage: true,
            				message: "Mensaplan für die Universität Hannover. " +
            					"Mit freundlicher Unterstützung vom Studentenwerk Hannover.<br><br>"+
            					"Support: <a href=\"mailto:hurling83@googlemail.com\">hurling83@googlemail.com</a>",
            				choices: []
            		};
            		this.controller.showAlertDialog(model);
            		break;
            		
                case 'do-main':
        			this.setMensa("Hauptmensa");
        			break;
        			
      			case 'do-market':
        			this.setMensa("Marktstand");
        			break;
            }
        break;
    }
};

SimpleAssistant.prototype.dbMainOK = function(menu) {
	Mojo.Log.info('dbMainOK: entrance');
	if (menu == null || menu == "") {
		this.dbIsEmpty = true;
		Mojo.Log.info('dbMainOK: main menu is null')
	} else {
		mainMenu = menu;
		this.setMensa("Hauptmensa");
		Mojo.Log.info('dbMainOK: main menu loaded')

		Mojo.Log.info('dbMainOK: Setting scroller to index ' + snapIndex);
		var myDate=new Date();
		var snapIndex = Math.min(4, Math.max(0, myDate.getDay() - 1));
		
		var scroller = this.controller.get('scrollerId');
		scroller.mojo.setSnapIndex(snapIndex, false);
	}
	Mojo.Log.info('dbMainOK: exit');
}

SimpleAssistant.prototype.dbMarketOK = function(menu) {
	Mojo.Log.info('dbMarketOK: entrance');
	if (menu != null && menu != "") {
		marketMenu = menu;
		Mojo.Log.info('dbMarketOK: market menu loaded')
	} else {
		Mojo.Log.info('dbMarketOK: market menu is null')
	}
	Mojo.Log.info('dbMarketOK: exit');
}

SimpleAssistant.prototype.setMensa = function(mensa){
	
	Mojo.Log.info("Setting mensa to " + mensa);
	
	if(mensa == "Hauptmensa") {
		monday = mainMenu[2].split(/>|\|/g);
		tuesday = mainMenu[4].split(/>|\|/g);
		wednesday = mainMenu[6].split(/>|\|/g);
		thursday = mainMenu[8].split(/>|\|/g);
		friday = mainMenu[10].split(/>|\|/g);
		
		listModelMon.listTitle = $L('Montag - ' + mainMenu[1].substring(3));
		listModelTue.listTitle = $L('Dienstag - ' + mainMenu[3].substring(3));
		listModelWed.listTitle = $L('Mittwoch - ' + mainMenu[5].substring(3));
		listModelThu.listTitle = $L('Donnerstag - ' + mainMenu[7].substring(3));
		listModelFri.listTitle = $L('Freitag - ' + mainMenu[9].substring(3));
			
		foundMenusMon = [
			{header:$L("Tellergericht"), menu:$L(monday[2].split(": ")[1])},
			{header:$L("Bio-Line"), menu:$L(monday[3].split(": ")[1])},
			{header:$L("Wahlmenü (Fleisch)"), menu:$L(monday[5].split(": ")[1])},
			{header:$L("Wahlmenü (vegetarisch)"), menu:$L(monday[6].split(": ")[1])},
			{header:$L("Beilagen/Dessert"), menu:$L(monday[7].split(": ")[1] + "<br>" + monday[8].split(": ")[1] + "<br>" + monday[9].split(": ")[1] + "<br>" + monday[10].split(": ")[1])},
			{header:$L("Eintopf"), menu:$L(monday[1].split(": ")[1])},
		]
		foundMenusTue = [
			{header:$L("Tellergericht"), menu:$L(tuesday[2].split(": ")[1])},
			{header:$L("Bio-Line"), menu:$L(tuesday[3].split(": ")[1])},
			{header:$L("Wahlmenü (Fleisch)"), menu:$L(tuesday[5].split(": ")[1])},
			{header:$L("Wahlmenü (vegetarisch)"), menu:$L(tuesday[6].split(": ")[1])},
			{header:$L("Beilagen/Dessert"), menu:$L(tuesday[7].split(": ")[1] + "<br>" + tuesday[8].split(": ")[1] + "<br>" + tuesday[9].split(": ")[1] + "<br>" + tuesday[10].split(": ")[1])},
			{header:$L("Eintopf"), menu:$L(tuesday[1].split(": ")[1])},
		]
		foundMenusWed = [
			{header:$L("Tellergericht"), menu:$L(wednesday[2].split(": ")[1])},
			{header:$L("Bio-Line"), menu:$L(wednesday[3].split(": ")[1])},
			{header:$L("Wahlmenü (Fleisch)"), menu:$L(wednesday[5].split(": ")[1])},
			{header:$L("Wahlmenü (vegetarisch)"), menu:$L(wednesday[6].split(": ")[1])},
			{header:$L("Beilagen/Dessert"), menu:$L(wednesday[7].split(": ")[1] + "<br>" + wednesday[8].split(": ")[1] + "<br>" + wednesday[9].split(": ")[1] + "<br>" + wednesday[10].split(": ")[1])},
			{header:$L("Eintopf"), menu:$L(wednesday[1].split(": ")[1])},
		]
		foundMenusThu = [
			{header:$L("Tellergericht"), menu:$L(thursday[2].split(": ")[1])},
			{header:$L("Bio-Line"), menu:$L(thursday[3].split(": ")[1])},
			{header:$L("Wahlmenü (Fleisch)"), menu:$L(thursday[5].split(": ")[1])},
			{header:$L("Wahlmenü (vegetarisch)"), menu:$L(thursday[6].split(": ")[1])},
			{header:$L("Beilagen/Dessert"), menu:$L(thursday[7].split(": ")[1] + "<br>" + thursday[8].split(": ")[1] + "<br>" + thursday[9].split(": ")[1] + "<br>" + thursday[10].split(": ")[1])},
			{header:$L("Eintopf"), menu:$L(thursday[1].split(": ")[1])},
		]
		foundMenusFri = [
			{header:$L("Tellergericht"), menu:$L(friday[2].split(": ")[1])},
			{header:$L("Bio-Line"), menu:$L(friday[3].split(": ")[1])},
			{header:$L("Wahlmenü (Fleisch)"), menu:$L(friday[5].split(": ")[1])},
			{header:$L("Wahlmenü (vegetarisch)"), menu:$L(friday[6].split(": ")[1])},
			{header:$L("Beilagen/Dessert"), menu:$L(friday[7].split(": ")[1] + "<br>" + friday[8].split(": ")[1] + "<br>" + friday[9].split(": ")[1] + "<br>" + friday[10].split(": ")[1])},
			{header:$L("Eintopf"), menu:$L(friday[1].split(": ")[1])},
		]		
	}
	if(mensa == "Marktstand") {
		monday = marketMenu[2].split(/>|\|/g);
		tuesday = marketMenu[4].split(/>|\|/g);
		wednesday = marketMenu[6].split(/>|\|/g);
		thursday = marketMenu[8].split(/>|\|/g);
		friday = marketMenu[10].split(/>|\|/g);
		
		listModelMon.listTitle = $L('Montag - ' + marketMenu[1].substring(3));
		listModelTue.listTitle = $L('Dienstag - ' + marketMenu[3].substring(3));
		listModelWed.listTitle = $L('Mittwoch - ' + marketMenu[5].substring(3));
		listModelThu.listTitle = $L('Donnerstag - ' + marketMenu[7].substring(3));
		listModelFri.listTitle = $L('Freitag - ' + marketMenu[9].substring(3));

		foundMenusMon = [
			{header:$L("Tortilla / Pizza"), menu:$L(monday[1].split(": ")[1])},
			{header:$L("Auflauf"), menu:$L(monday[2].split(": ")[1])},
			{header:$L("Pfannengericht"), menu:$L(monday[3].split(": ")[1])},
			{header:$L("Steak mit Beilagen"), menu:$L(monday[4].split(": ")[1])},
		]
		foundMenusTue = [
			{header:$L("Tortilla / Pizza"), menu:$L(tuesday[1].split(": ")[1])},
			{header:$L("Auflauf"), menu:$L(tuesday[2].split(": ")[1])},
			{header:$L("Pfannengericht"), menu:$L(tuesday[3].split(": ")[1])},
			{header:$L("Steak mit Beilagen"), menu:$L(tuesday[4].split(": ")[1])},
		]
		foundMenusWed = [
			{header:$L("Tortilla / Pizza"), menu:$L(wednesday[1].split(": ")[1])},
			{header:$L("Auflauf"), menu:$L(wednesday[2].split(": ")[1])},
			{header:$L("Pfannengericht"), menu:$L(wednesday[3].split(": ")[1])},
			{header:$L("Steak mit Beilagen"), menu:$L(wednesday[4].split(": ")[1])},
		]
		foundMenusThu = [
			{header:$L("Tortilla / Pizza"), menu:$L(thursday[1].split(": ")[1])},
			{header:$L("Auflauf"), menu:$L(thursday[2].split(": ")[1])},
			{header:$L("Pfannengericht"), menu:$L(thursday[3].split(": ")[1])},
			{header:$L("Steak mit Beilagen"), menu:$L(thursday[4].split(": ")[1])},
		]
		foundMenusFri = [
			{header:$L("Tortilla / Pizza"), menu:$L(friday[1].split(": ")[1])},
			{header:$L("Auflauf"), menu:$L(friday[2].split(": ")[1])},
			{header:$L("Pfannengericht"), menu:$L(friday[3].split(": ")[1])},
			{header:$L("Steak mit Beilagen"), menu:$L(friday[4].split(": ")[1])},
		]
	}
	
	currentMensa = mensa;
	
	listModelMon.items = foundMenusMon;
	listModelTue.items = foundMenusTue;
	listModelWed.items = foundMenusWed;
	listModelThu.items = foundMenusThu;
	listModelFri.items = foundMenusFri;
	
	this.controller.modelChanged(listModelMon);
	this.controller.modelChanged(listModelTue);
	this.controller.modelChanged(listModelWed);
	this.controller.modelChanged(listModelThu);
	this.controller.modelChanged(listModelFri);
};

SimpleAssistant.prototype.menuMainSuccess = function(transport){
//	Mojo.Log.info('menuMainSuccess: entrance');
//
//	tempMenu = transport.responseText.substring(transport.responseText.search(/#/), transport.responseText.search(/- LEGEND/));
//	
//	if (tempMenu != null && tempMenu != "") {
//		this.parseHauptmensa(transport.responseText);
//		mainMenu = tempMenu.split(/#/g);
//		
//		db.add('mainMenu', mainMenu, 
//			function() {Mojo.Log.info('menuMainSuccess: stored main menu');},
//	    	function() {Mojo.Log.error('menuMainSuccess: Storing main menu failed');});
//	    	
//		if (currentMensa == "Hauptmensa") {
//			Mojo.Log.info('menuMainSuccess: Setting Hauptmensa');
//	    	this.setMensa("Hauptmensa");
//	    }
//	}
//    
//    if (this.dbIsEmpty) {
//    	Mojo.Log.info("menuMainSuccess: Temp Menu is null");
//	    var myDate=new Date();
//		var snapIndex = Math.min(4, Math.max(0, myDate.getDay() - 1));
//		
//		var scroller = this.controller.get('scrollerId');
//		scroller.mojo.setSnapIndex(snapIndex, false);
//	}
//	
//	Mojo.Log.info('menuMainSuccess: Stopping Spinner');
//	this.controller.get("spinnerId").mojo.stop();
//	Mojo.Log.info('menuMainSuccess: exit');
};

SimpleAssistant.prototype.menuMarketSuccess = function(transport) {
//	tempMenu = transport.responseText.substring(transport.responseText.search(/#/), transport.responseText.search(/- LEGEND/));
//	
//	if (tempMenu != null && tempMenu != "") {
//		this.parseMarktstand(transport.responseText);
//		marketMenu = tempMenu.split(/#/g);
//		db.add('marketMenu', marketMenu, 
//			function() {Mojo.Log.info('menuMarketSuccess: stored market menu');},
//	    	function() {Mojo.Log.error('menuMarketSuccess: Storing market menu failed');});
//	    
//	    if (currentMensa == "Marktstand") {
//	    	this.setMensa("Markstand");
//	    }
//	}
//	
};

SimpleAssistant.prototype.requestFailure = function(transport) {
	Mojo.Controller.errorDialog("Das Studentenwerk stellt derzeit keine Daten zur Verfügung oder die Verbindung zum Server ist gestört.");
};


SimpleAssistant.prototype.parseResponse = function(responseText) {
	if (responseText != null && responseText != "") {
		menu = menu.substring(menu.search(/#/), menu.search(/- LEGEND/));
		menu = menu.split(/#/g);
		
		// parse list titles from string
		titles = [
		           $L('Montag -' + menu[1].substring(3)),
		           $L('Dienstag -' + menu[3].substring(3)),
		           $L('Mittwoch -' + menu[5].substring(3)),
		           $L('Donnerstag -' + menu[7].substring(3)),
		           $L('Freitag -' + menu[9].substring(3))
		         ];

		// parse list items from string
		menus = [menu[2].split(/>|\|/g),
		         menu[4].split(/>|\|/g),
		         menu[6].split(/>|\|/g),
		         menu[8].split(/>|\|/g),
		         menu[10].split(/>|\|/g)];
		
		// switch between cafeterias
		
		// stuff together list models
	}
}


// --------------------------------------------------
// This part is responsible for parsing the responses
// --------------------------------------------------

SimpleAssistant.prototype.parseListTitles = function(menu) {
	titles = [$L('Montag -' + menu[1].substring(3)),
	          $L('Dienstag -' + menu[3].substring(3)),
	          $L('Mittwoch -' + menu[5].substring(3)),
	          $L('Donnerstag -' + menu[7].substring(3)),
	          $L('Freitag -' + menu[9].substring(3))];
	
	return titles;
}

SimpleAssistant.prototype.parseHauptmensa = function(menu) {
	menu = menu.substring(menu.search(/#/), menu.search(/- LEGEND/));
	menu = menu.split(/#/g);
	
	// parse list titles from string
	titles = parseListTitles(menu);

	// parse list items from string
	menus = [menu[2].split(/>|\|/g),
	         menu[4].split(/>|\|/g),
	         menu[6].split(/>|\|/g),
	         menu[8].split(/>|\|/g),
	         menu[10].split(/>|\|/g)];
	
	// for each list item we need to fill the header and the menu part
	for (i = 0; i < 5; i++) {
		menus[i] = [
	     			{header:$L("Tellergericht"), menu:$L(menus[i][2].split(": ")[1])},
	     			{header:$L("Bio-Line"), menu:$L(menus[i][3].split(": ")[1])},
	     			{header:$L("Wahlmenü (Fleisch)"), menu:$L(menus[i][5].split(": ")[1])},
	     			{header:$L("Wahlmenü (vegetarisch)"), menu:$L(menus[i][6].split(": ")[1])},
	     			{header:$L("Beilagen/Dessert"), menu:$L(menus[i][7].split(": ")[1] + "<br>" + menus[i][8].split(": ")[1] + "<br>" + menus[i][9].split(": ")[1] + "<br>" + menus[i][10].split(": ")[1])},
	     			{header:$L("Eintopf"), menu:$L(menus[i][1].split(": ")[1])},
	     		];
	}

	// stuff together list models
	listModels = [
	              {listTitle:titles[0], items:menus[0]},
	              {listTitle:titles[1], items:menus[1]},
	              {listTitle:titles[2], items:menus[2]},
	              {listTitle:titles[3], items:menus[3]},
	              {listTitle:titles[4], items:menus[4]}
	             ];
	
	// now I can save all these models to the db and update the screen
	db.add('HauptmensaModels', listModels, 
			function() {Mojo.Log.info('menuMarketSuccess: stored market menu');},
	    	function() {Mojo.Log.error('menuMarketSuccess: Storing market menu failed');});
}

SimpleAssistant.prototype.parseMarktstand = function(menu) {
	menu = menu.substring(menu.search(/#/), menu.search(/- LEGEND/));
	menu = menu.split(/#/g);
	
	// parse list titles from string
	titles = [
	           $L('Montag -' + menu[1].substring(3)),
	           $L('Dienstag -' + menu[3].substring(3)),
	           $L('Mittwoch -' + menu[5].substring(3)),
	           $L('Donnerstag -' + menu[7].substring(3)),
	           $L('Freitag -' + menu[9].substring(3))
	         ];

	// parse list items from string
	menus = [menu[2].split(/>|\|/g),
	         menu[4].split(/>|\|/g),
	         menu[6].split(/>|\|/g),
	         menu[8].split(/>|\|/g),
	         menu[10].split(/>|\|/g)];
	
	// for each list item we need to fill the header and the menu part
	for (i = 0; i < 5; i++) {
		menus[i] = [
					{header:$L("Tortilla / Pizza"), menu:$L(menus[i][1].split(": ")[1])},
					{header:$L("Auflauf"), menu:$L(menus[i][2].split(": ")[1])},
					{header:$L("Pfannengericht"), menu:$L(menus[i][3].split(": ")[1])},
					{header:$L("Steak mit Beilagen"), menu:$L(menus[i][4].split(": ")[1])},
	     		];
	}
	

	// stuff together list models
	listModels = [
	              {listTitle:titles[0], items:menus[0]},
	              {listTitle:titles[1], items:menus[1]},
	              {listTitle:titles[2], items:menus[2]},
	              {listTitle:titles[3], items:menus[3]},
	              {listTitle:titles[4], items:menus[4]}
	             ];
	
	// now I can save all these models to the db and update the screen
	db.add('MarktstandModels', listModels, 
			function() {Mojo.Log.info('menuMarketSuccess: stored market menu');},
	    	function() {Mojo.Log.error('menuMarketSuccess: Storing market menu failed');});
}

SimpleAssistant.prototype.parseContine = function(menu) {
	
}

SimpleAssistant.prototype.parsePZH = function(menu) {
	
}

SimpleAssistant.prototype.parseCaballus = function(menu) {
	
}

SimpleAssistant.prototype.parseTiHo = function(menu) {
	
}

SimpleAssistant.prototype.parseHMTMH = function(menu) {
	
}

SimpleAssistant.prototype.parseFHH = function(menu) {
	
}

SimpleAssistant.prototype.parseKSF = function(menu) {
	
}

SimpleAssistant.prototype.parseBlumhardt = function(menu) {
	
}

SimpleAssistant.prototype.parseSprengel = function(menu) {
	
}

SimpleAssistant.prototype.parseHerrenhausen= function(menu) {
	
}
